SyliusAddressingBundle
======================

Addresses management is a common task for almost every ecommerce application.  
This bundle, with minimal configuration, provides you sensible models and architecture for addresses, countries and provinces.

It's fully customizable - you can easily add custom fields to your address entity, or split it into several models to handle different address types.
Includes a set of forms that will be sufficient for most popular actions.

Countries can handle multiple provinces (states), and you can easily extend that to more levels by introducing your own models.

Bundle also supports very flexible Zones system, which allows you to group countries and provinces into geographical areas.
Every address can be matched against all defined zones, which is useful for tax or shipping systems.

Sylius
------

![Sylius](http://demo.sylius.com/assets/admin/img/logo.png)

Sylius is an Open Source eCommerce solution built from decoupled components with powerful API and the highest quality code. [Read more on sylius.com](https://sylius.com).

Documentation
-------------

Documentation is available on [**docs.sylius.com**](https://docs.sylius.com/en/latest/components_and_bundles/bundles/SyliusAddressingBundle/index.html).

Contributing
------------

[This page](https://docs.sylius.com/en/latest/contributing/index.html) contains all the information about contributing to Sylius.

Follow Sylius' Development
--------------------------

If you want to keep up with the updates and latest features, follow us on the following channels:

* [Official Blog](https://sylius.com/blog)
* [Sylius on Twitter](https://twitter.com/Sylius)
* [Sylius on Facebook](https://facebook.com/SyliusEcommerce)

Bug tracking
------------

Sylius uses [GitHub issues](https://github.com/Sylius/Sylius/issues).
If you have found bug, please create an issue.

MIT License
-----------

License can be found [here](https://github.com/Sylius/Sylius/blob/master/LICENSE).

Authors
-------

The bundle was originally created by [Paweł Jędrzejewski](https://pjedrzejewski.com).
See the list of [contributors](https://github.com/Sylius/Sylius/contributors).
